That same nagging problem with .NET when installing a printer driver - Windows 7 Center Forums
link to the thread on our foums

" I have had this same problem since the first install of Beta where I get a box on the Windows 7 boot after the bios boot that reads you need to Install . NET Framework Version 2.0 before proceeding after I installed my drivers and print package on my Dell wireless V-305 printer . So once the boot was finished . This has plagued me since the Beta an on every build except the 7260 x 86 build and it reared it's ugly head when I installed 7264 x64 . It's been on evrey x64 vversion I have installed
does anyone have a fix or are there any .NET specialist out there that can explain this or have a solution why MS hasn't fixed this.
The only thing troulbing is everything in the printer package works fine . Except "